function ExportExtension: string;
begin
  result := 'TXT';
end;

function ExportDescription: string;
begin
  result := 'Field Notes';
end;

function ExportHeader: string;
begin
  Result := #$EF + #$BB + #$BF;
end;

function ExportFooter: string;
begin
end;

function ExportPoint: string;
var
  dt: TDateTime;
  dtt: tDateTime;
  lt: string;
begin
  if GC_IsWaypoint then
    Exit;
  dt := GC_Found + GC_FoundTime;
  dtt := GC_FoundTime;
  lt := 'Found it';
  if dt = 0 then
  begin
    lt := 'Write note';
    dt := now;
    dtt := now;
  end;
  Result := GC_ID + ',';
  Result := Result + formatdatetime('yyyy"-"mm"-"dd"T"hh":"nn"Z"', dt) + ',';
  Result := Result + lt + ',';
  Result := Result + '"' + formatdatetime('hh":"nn" "', dtt) + '"' + CRLF;
end;
